# eric4.QScintilla.Lexers.LexerProperties

Module implementing a Properties lexer with some additional methods.

### Global Attributes

None

### Classes

LexerProperties | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerProperties

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerProperties, Lexer

### Class Attributes

None

### Methods

LexerProperties | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerProperties (Constructor)

LexerProperties(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerProperties.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerProperties.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerProperties.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up